GroovyParser.EnhancedArgumentListElementContext (Groovy 5.0.8)
Description: declaration: package: org.apache.groovy.parser.antlr4, class: GroovyParser, class: EnhancedArgumentListElementContext

Package org.apache.groovy.parser.antlr4

# Class GroovyParser.EnhancedArgumentListElementContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.EnhancedArgumentListElementContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

public static class GroovyParser.EnhancedArgumentListElementContext extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnhancedArgumentListElementContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<Result> Result`
  `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
  `GroovyParser.ExpressionListElementContext`
  `expressionListElement()`
  `int`
  `getRuleIndex()`
  `GroovyParser.MapEntryContext`
  `mapEntry()`
  `GroovyParser.StandardLambdaExpressionContext`
  `standardLambdaExpression()`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### EnhancedArgumentListElementContext

    public EnhancedArgumentListElementContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

- ## Method Details

  - ### expressionListElement

    public GroovyParser.ExpressionListElementContext expressionListElement()

  - ### mapEntry

    public GroovyParser.MapEntryContext mapEntry()

  - ### standardLambdaExpression

    public GroovyParser.StandardLambdaExpressionContext standardLambdaExpression()

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`